Package org.apache.nutch.util.domain

## Class DomainStatistics

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.util.domain.DomainStatistics

- All Implemented Interfaces:
    `Configurable`, `Tool`

      public class DomainStatistics
      extends Configured
      implements Tool

  Extracts some very basic statistics about domains from the crawldb

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DomainStatistics.DomainStatisticsCombiner` |
    `static class` | `DomainStatistics.MyCounter` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DomainStatistics()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `int` | `run​(String[] args)` |

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### DomainStatistics

          public DomainStatistics()

  - ### Method Detail

    - #### run

          public int run​(String[] args)
                  throws Exception

      Specified by:
        `run` in interface `Tool`
      Throws:
        `Exception`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`